AirParrot-compatible operating systems

AirParrot 3 works with a number of different systems.

AirParrot is compatible with these versions of Windows:

  • Windows 10 and later

Windows XP, Windows  and Windows RT systems are not supported.

AirParrot is compatible with these versions of OS X:

  • OS X 10.15 Catalina
  • OS X 10.14 Mojave
  • OS X 10.13 High Sierra
  • OS X 10.12 Sierra
  • OS X 10.11 El Capitan
  • OS X 10.10 Yosemite

OS X 10.9.x and below are not supported.

View all of the AirParrot requirements.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us